package cn.com.infosec.asn1.x9;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1OctetString;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DEROctetString;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;

public class X9ECPoint extends ASN1Encodable {
   ECPoint p;

   public X9ECPoint(ECPoint p) {
      this.p = p;
   }

   public X9ECPoint(ECCurve c, ASN1OctetString s) {
      this.p = c.decodePoint(s.getOctets());
   }

   public ECPoint getPoint() {
      return this.p;
   }

   public DERObject toASN1Object() {
      return new DEROctetString(this.p.getEncoded());
   }
}
